<template>
  <Component1
      v-model:count="count"
  />
  <div v-if="count >= 10">
    <div v-for="item in model" :key="item">
      You clicked more then 10 times! ({{ item }})
    </div>
  </div>
</template>

<script>

import Component1 from "@/components/Component1";
export default {
  name: 'App',
  components: {
    Component1
  },
  data: () => ({
    count: 0,
    model: []
  }),
  watch: {
    count (value) {
      if (value > 10) {
        this.model.splice(Math.floor(Math.random() * this.model.length), 0, value);
      }
    }
  }
}
</script>
